Skip to content

Create or replace the webhook configuration

POST
/settings/webhooks/
curl --request POST \
--url https://api.semantico.ai/api/v1/settings/webhooks/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "url": "https://example.com", "hmac_secret": "example", "actions": [ "product_generated" ] }'

Upsert — a POST always replaces the single existing configuration for the workspace.

Media typeapplication/json
object
url
required

Destination for webhook deliveries.

string format: uri
hmac_secret

Optional shared secret. When set, deliveries are HMAC-signed.

string
actions

Events to deliver. Defaults to all if omitted.

Array<string>
Allowed values: product_generated product_generation_failed product_generation_no_urls

Saved

Media typeapplication/json
object
url
required

Destination for webhook deliveries.

string format: uri
hmac_secret

Optional shared secret. When set, deliveries are HMAC-signed.

string
actions

Events to deliver. Defaults to all if omitted.

Array<string>
Allowed values: product_generated product_generation_failed product_generation_no_urls
Example
{
"actions": [
"product_generated"
]
}

Field-level validation error.

Media typeapplication/json
object
key
additional properties
Array<string>
Example
{
"barcode": [
"A product with this barcode already exists."
]
}